<template>
  <div class="mr-2">
    <ul class="flex items-center">
      <li class="px-1">
        <div
          class="flex pr-2 pl-[.125rem] items-center rounded-[.625rem] bg-border fc-text4"
        >
          <figure
            class="flex items-center justify-center w-4 h-4 mr-1 rounded-lg bg-eyes"
          >
            <svg-icon
              :svg-name="
                isShowBalance && !isSuspended
                  ? 'system-icon-eye'
                  : 'system-icon-eye-slash'
              "
              class="w-4 h-4 cursor-pointer"
              @click="isShowBalance = !isShowBalance"
            />
          </figure>
          <p class="flex items-center">
            <span>{{ currency }}</span>
            <span v-if="isShowBalance && !isSuspended" class="ml-1">{{
              balanceUser
            }}</span>
          </p>
        </div>
      </li>
      <li class="px-1 fc-text4">
        <svg-icon
          v-if="!isSuspended"
          id="headerBalanceReloadIcon"
          svg-name="system-icon-rotate"
          :class="['w-4 h-4', { rotating: isLoading }]"
          style="fill: var(--text3)"
          @click="() => getBalance()"
        />
        <font-awesome-icon v-else icon="lock" />
      </li>
    </ul>
  </div>
</template>
<script lang="ts">
import { defineComponent, ref } from "vue";
import useBalanceInfo from "@/composables/useBalanceInfo";

export default defineComponent({
  props: {
    isSuspended: {
      type: Boolean,
      default: false,
    },
  },
  setup() {
    const isShowBalance = ref(false);
    const { isLoading, balanceUser, getBalance, currency, wallets } =
      useBalanceInfo();
    onMounted(() => getBalance());
    return {
      isLoading,
      balanceUser,
      getBalance,
      currency,
      wallets,
      isShowBalance,
    };
  },
});
</script>
